<?xml version="1.0" encoding="UTF-8"?>
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
	<configSections>
		<section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=3.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
		<sectionGroup name="system.web.extensions" type="System.Web.Configuration.SystemWebExtensionsSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
			<sectionGroup name="scripting" type="System.Web.Configuration.ScriptingSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
				<section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication"/>
				<sectionGroup name="webServices" type="System.Web.Configuration.ScriptingWebServicesSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
					<section name="jsonSerialization" type="System.Web.Configuration.ScriptingJsonSerializationSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="Everywhere"/>
					<section name="profileService" type="System.Web.Configuration.ScriptingProfileServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication"/>
					<section name="authenticationService" type="System.Web.Configuration.ScriptingAuthenticationServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication"/>
				</sectionGroup>
			</sectionGroup>
		</sectionGroup>
	</configSections>
	<dataConfiguration defaultDatabase="AccessDB"/>
	<connectionStrings>
		<clear/>
		<add name="AccessProviderDB" connectionString="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\ASPNetDB.mdb" providerName="System.Data.OleDb"/>
		<add name="AccessDB" connectionString="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\ims.mdb" providerName="System.Data.OleDb"/>
		<add name="SqlProviderDB" connectionString="Data Source=.\sqlexpress;Initial Catalog=landian_ims_aspnetdb;Integrated Security=True" providerName="System.Data.SqlClient"/>
		<add name="SqlDB" connectionString="Data Source=.\sqlexpress;Initial Catalog=landian_ims;Integrated Security=True" providerName="System.Data.SqlClient"/>
	</connectionStrings>
	<appSettings>
  	<add key="Setup" value="True" />
		<add key="WelcomeShown" value="False"/>
    <add key="UpdateUrl" value="http://landian.cc/download/update.xml" />
  </appSettings>
 <location path="UploadFiles">
    <system.web>
      <httpHandlers>
        <add verb="*" path="*.*" type="ims.web.DownloadHandlerReferrer"/>
      </httpHandlers>
    </system.web>
    <system.webServer>
      <handlers>
        <remove name="WebServiceHandlerFactory-Integrated"/>
        <add verb="*" name="_downloadHandler" preCondition="classicMode" path="*.*" type="ims.web.DownloadHandlerReferrer" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_isapi.dll" resourceType="File"/>
        <add verb="*" name="downloadHandler" preCondition="integratedMode" path="*.*" type="ims.web.DownloadHandlerReferrer"/>
      </handlers>
    </system.webServer>
  </location>
  <location path="InfoAttach">
    <system.web>
      <httpHandlers>
        <add verb="*" path="*.*" type="ims.web.DownloadHandlerReferrer"/>
      </httpHandlers>
    </system.web>
    <system.webServer>
      <handlers>
        <remove name="WebServiceHandlerFactory-Integrated"/>
        <add verb="*" name="_downloadHandler" preCondition="classicMode" path="*.*" type="ims.web.DownloadHandlerReferrer" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_isapi.dll" resourceType="File"/>
        <add verb="*" name="downloadHandler" preCondition="integratedMode" path="*.*" type="ims.web.DownloadHandlerReferrer"/>
      </handlers>
    </system.webServer>
  </location>
  <location path="Files">
    <system.web>
      <httpHandlers>
        <add verb="*" path="*.*" type="ims.web.FilesHandler"/>
      </httpHandlers>
    </system.web>
    <system.webServer>
      <handlers>
        <remove name="WebServiceHandlerFactory-Integrated"/>
        <!--<add verb="*" name="txtHandler" preCondition="integratedMode" path="*.txt" type="System.Web.StaticFileHandler"/>-->
        <add verb="*" name="_filesHandler" preCondition="classicMode" path="*.*" type="ims.web.FilesHandler" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_isapi.dll" resourceType="File"/>
        <add verb="*" name="filesHandler" preCondition="integratedMode" path="*.*" type="ims.web.FilesHandler"/>
      </handlers>
    </system.webServer>
  </location>
  <location path="Logs">
    <system.web>
      <httpHandlers>
        <add verb="*" path="*.*" type="ims.web.LogHandler"/>
      </httpHandlers>
    </system.web>
    <system.webServer>
      <handlers>
        <remove name="WebServiceHandlerFactory-Integrated"/>
        <add verb="*" name="_logHandler" preCondition="classicMode" path="*.*" type="ims.web.LogHandler" modules="IsapiModule" scriptProcessor="%windir%\Microsoft.NET\Framework\v2.0.50727\aspnet_isapi.dll" resourceType="File"/>
        <add verb="*" name="logHandler" preCondition="integratedMode" path="*.*" type="ims.web.LogHandler"/>
      </handlers>
    </system.webServer>
  </location>
  <location path="ScriptResource.axd">
		<system.web>
			<authorization>
				<allow users="*"/>
			</authorization>
		</system.web>
	</location>
  <location path="." inheritInChildApplications="false">
	<system.web>
		<trace enabled="false" localOnly="true"/>
		<compilation debug="false" defaultLanguage="c#">
		  <assemblies>
		    <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
		  </assemblies>
		</compilation>
    <sessionState mode="InProc" cookieless="UseCookies" stateConnectionString="tcpip=127.0.0.1:42424" timeout="20"/>
    <roleManager enabled="true" defaultProvider="AccessRoleProvider">
			<providers>
				<clear/>
				<add connectionStringName="AccessProviderDB" applicationName="landian_ims" name="AccessRoleProvider" type="ims.AccessProviders.AccessRoleProvider"/>
				<add connectionStringName="SqlProviderDB" applicationName="landian_ims" name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
			</providers>
		</roleManager>
		<authentication mode="Forms">
			<forms name="landian_wfs" loginUrl="login.aspx" timeout="40320" slidingExpiration="true" defaultUrl="default.aspx" protection="All" cookieless="UseCookies"/>
		</authentication>
		<authorization>
			<allow users="*"/>
		</authorization>
		<customErrors mode="Off" defaultRedirect="error.htm"/>
		<anonymousIdentification enabled="true" cookieless="UseCookies" cookieName=".IMSANONYMOUS"/>
		<profile enabled="true" defaultProvider="AccessProfileProvider" automaticSaveEnabled="true">
			<providers>
				<clear/>
				<add connectionStringName="AccessProviderDB" applicationName="landian_ims" name="AccessProfileProvider" type="ims.AccessProviders.AccessProfileProvider"/>
				<add connectionStringName="SqlProviderDB" applicationName="landian_ims" name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
			</providers>
			<properties>
				<add name="Theme" allowAnonymous="true"/>
				<add name="ShoppingCart" serializeAs="Binary" type="ims.Model.Cart" allowAnonymous="true"/>
				<add name="Favorites" serializeAs="Binary" type="System.Collections.Generic.Dictionary`2[[ims.Model.ObjIndex,ims.Model],System.String]" allowAnonymous="true"/>
				<add name="DataReadingSetting" serializeAs="Binary" type="ims.Model.getData_setting" allowAnonymous="true"/>
				<add name="MyShortcuts" serializeAs="Binary" type="System.Collections.Generic.List`1[[ims.Model.Shortcut,ims.Model]]" allowAnonymous="true"/>
				<add name="PopHelper" serializeAs="Binary" type="ims.Model.PopHelper" allowAnonymous="true"/>
				<add name="InfoListSetting" serializeAs="Xml" type="ims.Model.InfoListSetting" allowAnonymous="true"/>
			        <add name="SearchProfile" serializeAs="Xml" type="ims.web.SearchProfile" allowAnonymous="true" />
			        <add name="CommProfile" serializeAs="Xml" type="ims.web.CommProfile" allowAnonymous="true" />
			        <add name="TempletOrders" serializeAs="Binary" type="ims.Model.TempletOrders" allowAnonymous="true"/>
			        <add name="DirOrders" serializeAs="Binary" type="ims.Model.DirOrders" allowAnonymous="true"/>
			    	<add name="FileOrders" serializeAs="Binary" type="ims.Model.FileOrders" allowAnonymous="true" />
      </properties>
		</profile>
		<membership defaultProvider="AccessMembershipProvider">
			<providers>
				<clear/>
				<add minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" connectionStringName="AccessProviderDB" maxInvalidPasswordAttempts="5" passwordAttemptWindow="5" enablePasswordReset="true" enablePasswordRetrieval="false" applicationName="landian_ims" hashAlgorithmType="SHA1" requiresQuestionAndAnswer="true" requiresUniqueEmail="false" passwordFormat="Hashed" name="AccessMembershipProvider" type="ims.AccessProviders.AccessMembershipProvider"/>
				<add connectionStringName="SqlProviderDB" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="true" applicationName="landian_ims" requiresUniqueEmail="false" passwordFormat="Hashed" maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="5" name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
			</providers>
		</membership>
		<pages theme="" enableEventValidation="false" validateRequest="false" enableViewStateMac="false">
			<controls>
				<add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
				<add tagPrefix="ims" tagName="Pop" src="~/UserControls/pop.ascx"/>
			</controls>
		</pages>
		<httpHandlers>
			<remove verb="*" path="*.asmx"/>
      <remove verb="*" path="Thumb.ashx"/>
      <remove verb="*" path="BarCode.ashx"/>
      <remove verb="*" path="*_AppService.axd"/>
      <remove verb="GET,HEAD" path="ScriptResource.axd"/>
      <add verb="*" path="Thumb.ashx" type="ims.web.Thumb"/>
      <add verb="*" path="BarCode.ashx" type="ims.web.BarCode"/>
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false"/>
		</httpHandlers>
		<httpModules>
			<add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
		</httpModules>
		<globalization culture="zh-cn" uiCulture="zh-cn" requestEncoding="utf-8" responseEncoding="utf-8" fileEncoding="utf-8"/>
		<httpRuntime executionTimeout="900" maxRequestLength="2097150" useFullyQualifiedRedirectUrl="false"/>
    <machineKey validationKey="86B6275BA31D3D713E41388692FCA68F7D20269411345AA1C17A7386DACC9C46E7CE5F97F556F3CF0A07159659E2706B77731779D2DA4B53BC47BFFD4FD48A54" decryptionKey="9421E53E196BB56DB11B9C25197A2AD470638EFBC604AC74CD29DBBCF79D6046" validation="SHA1" decryption="AES" />
  </system.web>
  </location>
	<system.webServer>
		<validation validateIntegratedModeConfiguration="false"/>
		<modules>
      <remove name="ScriptModule"/>
      <add name="ScriptModule" preCondition="integratedMode" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
		</modules>
		<handlers>
			<remove name="WebServiceHandlerFactory-Integrated"/>
      <remove name="ScriptHandlerFactory"/>
      <remove name="ScriptHandlerFactoryAppServices"/>
      <remove name="ScriptResource"/>
      <remove name="thumbHandler"/>
      <remove name="barCode"/>
      <add name="ScriptHandlerFactory" verb="*" path="*.asmx" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add name="ScriptHandlerFactoryAppServices" verb="*" path="*_AppService.axd" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add name="ScriptResource" preCondition="integratedMode" verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"/>
			<add name="thumbHandler" verb="*" preCondition="integratedMode" path="Thumb.ashx" type="ims.web.Thumb"/>
      <add name="barCode" verb="*" preCondition="integratedMode" path="BarCode.ashx" type="ims.web.BarCode"/>
		</handlers>
		<security>
			<requestFiltering>
				<requestLimits maxQueryString="16380" maxAllowedContentLength="2147483645"/>
			</requestFiltering>
		</security>
		<defaultDocument>
	      <files>
		      <clear/>
		      <add value="default.aspx" />
	      </files>
		</defaultDocument>
	</system.webServer>
</configuration>
